Test::Int::BinPacking::CliqueMBPT Class Reference

Test for testing the max-clique finding for multi bin-packing. More...

## Classes

class | TestSpace
| Simple test space class. More...

## Public Member Functions

| CliqueMBPT (const Gecode::IntArgs &c)
| Test for number of items n expected clique c.
virtual bool | run (void)
| Run the actual test.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Protected Attributes

int | n_items
| Number of items.
Gecode::IntArgs | clique
| Expected clique.

## Additional Inherited Members

Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Test for testing the max-clique finding for multi bin-packing.

Definition at line 245 of file bin-packing.cpp.

## Constructor & Destructor Documentation

## CliqueMBPT()

Test::Int::BinPacking::CliqueMBPT::CliqueMBPT | ( | const Gecode::IntArgs & | c | ) |

inline

Test for number of items n expected clique c.

Definition at line 263 of file bin-packing.cpp.

## Member Function Documentation

## run()

virtual bool Test::Int::BinPacking::CliqueMBPT::run | ( | void |  | ) |

inline virtual

Run the actual test.

Implements Test::Base.

Definition at line 266 of file bin-packing.cpp.

## Member Data Documentation

## n_items

int Test::Int::BinPacking::CliqueMBPT::n_items

protected

Number of items.

Definition at line 248 of file bin-packing.cpp.

## clique

Gecode::IntArgs Test::Int::BinPacking::CliqueMBPT::clique

protected

Expected clique.

Definition at line 250 of file bin-packing.cpp.

The documentation for this class was generated from the following file:

- test/int/bin-packing.cpp